Get personality profile
GET
/api/v1/tuning/personality/{agent_role}
const url = 'https://api.ultimateteam.ai/api/v1/tuning/personality/example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/tuning/personality/example \ --header 'X-API-Key: <X-API-Key>'Get personality profile for an agent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”agent_role
required
Agent Role
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
PersonalityProfileResponse
Response body for a personality profile.
object
Examplegenerated
{ "agent_role": "example", "avg_consistency": 1, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "last_drift_alert_at": "2026-04-15T12:00:00Z", "tone_dimensions": { "additionalProperty": 1 }, "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}